Subject: B20: @arg expansion change problem
From: [email-masked] (Jan)

26 Nov 1998 16:04:46 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Up to beta19, an argument starting with '@'
always was considered a usual filename.
Now in beta20, '@arg' is a filename if 'arg'
isn't a file, or the content of 'arg' if 'arg'
is a file.

ex:
	rm a
	touch @a ->'@a' created
	rm @a
	echo e f g > a
	touch @a ->'e','f','g' created instead of '@a'
		   this wasn't the case in pre-b20.

As I use make for several dos/windows compilers,
I need a way to tunnel the '@' through command lines
without them erroneously getting expanded, should
the conflicting '@'-less files exist.

Is there a recommended solution for this? Or did I miss
some environment variable? CYGWIN=  noglob at least didn't
help, and besides I still want the usual *,? wildcards expanded.

js
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".